org.wildfly.swarm.config.infinispan.cache_container

## Class StringTable<T extends StringTable<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.infinispan.cache_container.StringTable<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class StringTable<T extends StringTable<T>>
      extends HashMap

  Defines a table used to store cache entries whose keys can be expressed as strings.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `batchSize()` For DB inserts, the batch size determines how many inserts are batched together.
    `T` | `batchSize(Integer value)` For DB inserts, the batch size determines how many inserts are batched together.
    `Map` | `dataColumn()` A database column to hold cache entry data.
    `T` | `dataColumn(Map value)` A database column to hold cache entry data.
    `T` | `dataColumn(String key, Object value)` A database column to hold cache entry data.
    `Integer` | `fetchSize()` For DB queries, the fetch size will be used to set the fetch size on ResultSets.
    `T` | `fetchSize(Integer value)` For DB queries, the fetch size will be used to set the fetch size on ResultSets.
    `String` | `getKey()`
    `Map` | `idColumn()` A database column to hold cache entry ids.
    `T` | `idColumn(Map value)` A database column to hold cache entry ids.
    `T` | `idColumn(String key, Object value)` A database column to hold cache entry ids.
    `String` | `prefix()` The prefix for the database table name.
    `T` | `prefix(String value)` The prefix for the database table name.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Map` | `timestampColumn()` A database column to hold cache entry timestamps.
    `T` | `timestampColumn(Map value)` A database column to hold cache entry timestamps.
    `T` | `timestampColumn(String key, Object value)` A database column to hold cache entry timestamps.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### StringTable

          public StringTable()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### batchSize

          public Integer batchSize()

      For DB inserts, the batch size determines how many inserts are batched together.

    - #### batchSize

          public T batchSize(Integer value)

      For DB inserts, the batch size determines how many inserts are batched together.

    - #### dataColumn

          public Map dataColumn()

      A database column to hold cache entry data.

    - #### dataColumn

          public T dataColumn(Map value)

      A database column to hold cache entry data.

    - #### dataColumn

          public T dataColumn(String key,
                              Object value)

      A database column to hold cache entry data.

    - #### fetchSize

          public Integer fetchSize()

      For DB queries, the fetch size will be used to set the fetch size on ResultSets.

    - #### fetchSize

          public T fetchSize(Integer value)

      For DB queries, the fetch size will be used to set the fetch size on ResultSets.

    - #### idColumn

          public Map idColumn()

      A database column to hold cache entry ids.

    - #### idColumn

          public T idColumn(Map value)

      A database column to hold cache entry ids.

    - #### idColumn

          public T idColumn(String key,
                            Object value)

      A database column to hold cache entry ids.

    - #### prefix

          public String prefix()

      The prefix for the database table name.

    - #### prefix

          public T prefix(String value)

      The prefix for the database table name.

    - #### timestampColumn

          public Map timestampColumn()

      A database column to hold cache entry timestamps.

    - #### timestampColumn

          public T timestampColumn(Map value)

      A database column to hold cache entry timestamps.

    - #### timestampColumn

          public T timestampColumn(String key,
                                   Object value)

      A database column to hold cache entry timestamps.

Copyright © 2018 JBoss by Red Hat. All rights reserved.